Friday, 7 July 2017

Re: Status of Ubuntu Touch packages removal

On Sun, Jul 02, 2017 at 08:17:21PM +0300, Dmitry Shachnev wrote:
> As suggested by Michał Sawicz in that merge proposal, I tried to build qtbase
> with mirclient support.
>
> There is one problem with that: a circular dependency between qtbase and
> content-hub. I added libcontent-hub-dev to build-dependencies and that pulls
> in Qt packages. Does anyone know what was the plan to resolve this?

This is now less important, as I managed to update qtubuntu for 5.9 [1].

Now the largest remaining blocker for Qt 5.9 is ubuntu-ui-toolkit.
I took a look at it today. Some of the issues were easy to fix (such as
QtPlatformSupport restructuring or QFlags API changes), but there are some
that would need rewriting a lot of code. For instance, QQmlCompiledData was
removed in Qt 5.8, and ubuntu-ui-toolkit uses it.

It looks like nobody works on ubuntu-ui-toolkit anymore, so removing
it is the only way to move forward.

I know it has been demoted to Universe (thanks Didier), but are there
any blockers for removing it completely?

[1]: https://code.launchpad.net/~mitya57/qtubuntu/qt5.9/+merge/326988

--
Dmitry Shachnev

--
ubuntu-devel mailing list
[email protected]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel